Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclSocketI Class Reference

`#include <oscl_socket_imp_pv.h>`

Inheritance diagram for OsclSocketI:

## Public Methods
| ~OsclSocketI ()
int32 | Open (OsclSocketServI &aServer, uint32 addrFamily, uint32 sockType, uint32 protocol)
int32 | Open (OsclSocketServI &aServer)
int32 | Bind (OsclNetworkAddress &anAddr)
int32 | SetSockOpt (TPVSocketOptionLevel aOptionLevel, TPVSocketOptionName aOptionName, OsclAny *aOptionValue, int32 aOptionLen)
int32 | GetPeerName (OsclNetworkAddress &peerName)
int32 | Join (OsclNetworkAddress &anAddr)
int32 | Close ()
int32 | Listen (uint32 qSize)
int32 | SetRecvBufferSize (uint32 size)
TPVSocketEvent | ThreadLogoff ()
TPVSocketEvent | ThreadLogon (OsclSocketServI *aServ)
void | Connect (ConnectParam &, OsclSocketRequestAO &)
void | Accept (AcceptParam &, OsclSocketRequestAO &)
void | Shutdown (ShutdownParam &, OsclSocketRequestAO &)
void | Send (SendParam &, OsclSocketRequestAO &)
void | SendSuccess (SendParam &)
void | SendTo (SendToParam &, OsclSocketRequestAO &)
void | SendToSuccess (SendToParam &)
void | Recv (RecvParam &, OsclSocketRequestAO &)
void | RecvSuccess (RecvParam &)
void | RecvFrom (RecvFromParam &, OsclSocketRequestAO &)
void | RecvFromSuccess (RecvFromParam &)
TOsclSocket | Socket ()
void | ProcessConnect (OsclSocketServRequestQElem *)
void | ProcessShutdown (OsclSocketServRequestQElem *)
void | ProcessAccept (OsclSocketServRequestQElem *)
void | ProcessSendTo (OsclSocketServRequestQElem *)
void | ProcessRecvFrom (OsclSocketServRequestQElem *)
void | ProcessSend (OsclSocketServRequestQElem *)
void | ProcessRecv (OsclSocketServRequestQElem *)
PVLogger * | Logger ()
## Static Public Methods
OsclSocketI * | NewL (Oscl_DefAlloc &a)
bool | MakeAddr (OsclNetworkAddress &in, TOsclSockAddr &addr)
void | MakeAddr (TOsclSockAddr &in, OsclNetworkAddress &addr)
bool | MakeMulticastGroupInformation (OsclIpMReq &in, TIpMReq &addr)
void | MakeMulticastGroupInformation (TIpMReq &in, OsclIpMReq &addr)
## Friends
class | OsclAcceptRequest
class | OsclConnectRequest
class | OsclRecvRequest
class | OsclRecvFromRequest
class | OsclSendRequest
class | OsclSendToRequest
class | OsclShutdownRequest
class | OsclUDPSocket
class | OsclTCPSocket

## Detailed Description

Socket implementation class

## Constructor & Destructor Documentation

OsclSocketI::~OsclSocketI | ( |  | ) |

## Member Function Documentation

void OsclSocketI::Accept | ( | AcceptParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

int32 OsclSocketI::Bind | ( | OsclNetworkAddress & | anAddr | ) | `[virtual]`

| Implements OsclSocketIBase.

int32 OsclSocketI::Close | ( |  | ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::Connect | ( | ConnectParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

int32 OsclSocketI::GetPeerName | ( | OsclNetworkAddress & | peerName | ) |

int32 OsclSocketI::Join | ( | OsclNetworkAddress & | anAddr | ) | `[virtual]`

| Implements OsclSocketIBase.

int32 OsclSocketI::Listen | ( | uint32 | qSize | ) | `[virtual]`

| Implements OsclSocketIBase.

PVLogger* OsclSocketI::Logger | ( |  | ) | `[inline]`

void OsclSocketI::MakeAddr | ( | TOsclSockAddr & | in,
|  | OsclNetworkAddress & | addr
| ) | `[static]`

bool OsclSocketI::MakeAddr | ( | OsclNetworkAddress & | in,
|  | TOsclSockAddr & | addr
| ) | `[static]`

void OsclSocketI::MakeMulticastGroupInformation | ( | TIpMReq & | in,
|  | OsclIpMReq & | addr
| ) | `[static]`

bool OsclSocketI::MakeMulticastGroupInformation | ( | OsclIpMReq & | in,
|  | TIpMReq & | addr
| ) | `[static]`

OsclSocketI* OsclSocketI::NewL | ( | Oscl_DefAlloc & | a | ) | `[static]`

int32 OsclSocketI::Open | ( | OsclSocketServI & | aServer | ) | `[virtual]`

| Implements OsclSocketIBase.

int32 OsclSocketI::Open | ( | OsclSocketServI & | aServer,
|  | uint32 | addrFamily,
|  | uint32 | sockType,
|  | uint32 | protocol
| ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::ProcessAccept | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::ProcessConnect | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::ProcessRecv | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::ProcessRecvFrom | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::ProcessSend | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::ProcessSendTo | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::ProcessShutdown | ( | OsclSocketServRequestQElem * |  | ) |

void OsclSocketI::Recv | ( | RecvParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::RecvFrom | ( | RecvFromParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::RecvFromSuccess | ( | RecvFromParam & |  | ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::RecvSuccess | ( | RecvParam & |  | ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::Send | ( | SendParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::SendSuccess | ( | SendParam & |  | ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::SendTo | ( | SendToParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

void OsclSocketI::SendToSuccess | ( | SendToParam & |  | ) | `[virtual]`

| Implements OsclSocketIBase.

int32 OsclSocketI::SetRecvBufferSize | ( | uint32 | size | ) |

int32 OsclSocketI::SetSockOpt | ( | TPVSocketOptionLevel | aOptionLevel,
|  | TPVSocketOptionName | aOptionName,
|  | OsclAny * | aOptionValue,
|  | int32 | aOptionLen
| ) |

void OsclSocketI::Shutdown | ( | ShutdownParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[virtual]`

| Implements OsclSocketIBase.

TOsclSocket OsclSocketI::Socket | ( |  | ) | `[inline]`

TPVSocketEvent OsclSocketI::ThreadLogoff | ( |  | ) |

TPVSocketEvent OsclSocketI::ThreadLogon | ( | OsclSocketServI * | aServ | ) |

## Friends And Related Function Documentation

friend class OsclAcceptRequest`[friend]`

friend class OsclConnectRequest`[friend]`

friend class OsclRecvFromRequest`[friend]`

friend class OsclRecvRequest`[friend]`

friend class OsclSendRequest`[friend]`

friend class OsclSendToRequest`[friend]`

friend class OsclShutdownRequest`[friend]`

friend class OsclTCPSocket`[friend]`

| Reimplemented from OsclSocketIBase.

friend class OsclUDPSocket`[friend]`

| Reimplemented from OsclSocketIBase.

The documentation for this class was generated from the following file:

- oscl_socket_imp_pv.h